Plugin-Kompatibilität zu CMSimple_XH 1.7

Ein CMSimple Support Forum für deutsch sprechende Nutzer und Entwickler
lck
Posts: 1028
Joined: Wed Mar 23, 2011 11:43 am
Location: Dahoam ;)
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby lck » Sat Nov 18, 2017 4:18 pm

Dlcounter_XH Version 1.0beta1

Getestet lokal unter
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.1
Template fhs-simple

Läuft ohne Probleme, auch die Versionsinfo-Anzeige erscheint nach Anpassung wie hier beschrieben: "Version is not properly reported".
Bevor du den Pfeil der Wahrheit abschießt, tauche die Spitze in Honig ;)       ► CMSimple_XH Templates & OnePage-Templates ◄

Hartmut
Posts: 463
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby Hartmut » Sun Nov 19, 2017 8:28 am

Miniblog Version: 0.5.1
Getestet mit ...
CMSimple_XH 1.7.0
PHP 5.6.32
Template richu172

Nach der Installation von Miniblog im Plugin Verzeichnis ...
  • Speichern der Miniblog Konfiguration =>OK
  • Haupt + Unterseiten anlegen und den Pluginaufruf auf der Hauptseite hinzugefügen => OK
  • Problem:
    Wird im Admin-Ansichtsmodus die Hauptseite aufgerufen, meldet der Debug-Modus:
    NOTICE: Undefined index: show_heading /.../plugins/miniblog/index.php:166
  • Aktuelle und archvierte Unterseiten werden (in Anhängigkeit der Miniblog Archivfunktion) auf der Hauptseite angezeigt und sind fehlerfrei aufrufbar.

Hartmut
Posts: 463
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby Hartmut » Sun Nov 19, 2017 5:16 pm

Ergänzung / Nachtrag:
Test Plugin Miniblog_XH Version: 0.5.1

Getestet lokal unter
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.1
Template fhs-simple

  • Plugin Miniblog_OK im Admin-Menü sichtbar? => Ja
  • Plugin Konfigurationgeändert + gespeichert: OK
  • Eine Hauptseite (1. Menüebene) und 2 Unterseiten (2.Menüebene) angelegt und mit Text gefüllt.
    Auf der Hauptseite "" hinzugefügt + gespeichert.
    In den Admin Ansichtsmodus gewechselt und der Debug-Modus meldet:
    o NOTICE: Undefined index: show_heading
    o C:\xampp\htdocs\plugins\miniblog\index.php:166
  • Mittels Erstellungsdatum und Archivierungsdatum einen Artikel ins Miniblog Archiv verschieben und aufrufen können: OK
Ergebnis:
CMSimple_XH 1.7 Kompatibilität: Nein* (NOTICE: Undefined index: show_heading ...)
PHP 7.0: Ja
PHP 7.1: Ja

cmb
Posts: 12036
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby cmb » Sun Nov 19, 2017 5:34 pm

Hartmut wrote:CMSimple_XH 1.7 Kompatibilität: Nein* (NOTICE: Undefined index: show_heading ...)

Nur wegen einer oder mehrerer Notices würde ich ein Plugin nicht als inkompatibel erklären – selbst Deprecated-Meldungen und Warnungen sind per se kein Problem (können aber auf eines hinweisen). Trotzdem sollten selbst Notices natürlich vermieden werden, und das ist hier auch kein Problem: einfach Zeile 166-168 in index.php durch folgendes ersetzen:

Code: Select all

    $mblog['title'][]  = isset($page_data['show_heading'], $page_data['heading']) 
        
&& $page_data['show_heading'] && $page_data['heading']
        ? $page_data['heading']
        : $h[$page];
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Hartmut
Posts: 463
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby Hartmut » Sun Nov 19, 2017 6:35 pm

cmb wrote:
Hartmut wrote:CMSimple_XH 1.7 Kompatibilität: Nein* (NOTICE: Undefined index: show_heading ...)

Nur wegen einer oder mehrerer Notices würde ich ein Plugin nicht als inkompatibel erklären – selbst Deprecated-Meldungen und Warnungen sind per se kein Problem (können aber auf eines hinweisen). Trotzdem sollten selbst Notices natürlich vermieden werden, und das ist hier auch kein Problem: einfach Zeile 166-168 in index.php durch folgendes ersetzen:
...

OK, Du hast mich überzeugt. ;-)
Ich habe für miniblog den XH 1.7 Kompatibilitätsstatus auf "Ja*" gesetzt und auf den Workaround verlinkt, der dann in die nächste Version mit einfließen könnte.

Viele Grüße
Hartmut

Hartmut
Posts: 463
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby Hartmut » Sun Nov 19, 2017 8:05 pm

Test Plugin hi_simplepdf Version: pr1.2

Getestet lokal unter
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.1
Template fhs-simple

  • Plugin jm_iframe im Admin-Menü sichtbar? => Ja
  • Die Plugin Konfiguration ist nach Änderungen speicherbar.
  • Die Plugin Aufrufe erzeugen beim Anklicken einen "whitescreen" mit folgenden xampp-Fehlermeldungen:
    [19-Nov-2017 19:55:39 Europe/Berlin] PHP Fatal error: Uncaught DOMPDF_Exception: No block-level parent found. Not good. in C:\xampp\htdocs\plugins\hi_simplepdf\dompdf\include\inline_positioner.cls.php:37
    Stack trace:
    #0 C:\xampp\htdocs\plugins\hi_simplepdf\dompdf\include\frame_decorator.cls.php(700): Inline_Positioner->position()
    #1 C:\xampp\htdocs\plugins\hi_simplepdf\dompdf\include\text_frame_reflower.cls.php(330): Frame_Decorator->position()
    #2 C:\xampp\htdocs\plugins\hi_simplepdf\dompdf\include\frame_decorator.cls.php(711): Text_Frame_Reflower->reflow(NULL)
    #3 C:\xampp\htdocs\plugins\hi_simplepdf\dompdf\include\page_frame_reflower.cls.php(123): Frame_Decorator->reflow()
    #4 C:\xampp\htdocs\plugins\hi_simplepdf\dompdf\include\frame_decorator.cls.php(711): Page_Frame_Reflower->reflow(NULL)
    #5 C:\xampp\htdocs\plugins\hi_simplepdf\dompdf\include\dompdf.cls.php(949): Frame_Decorator->reflow()
    #6 C:\xampp\htdocs\plugins\hi_simplepdf\index.php(209): DOMPDF->render()
    #7 C:\xampp\htdocs\plugins\hi_simplepdf\index.php(11): simplePdfRender()
    #8 C:\xampp\htdocs\plugins\ in C:\xampp\htdocs\plugins\hi_simplepdf\dompdf\include\inline_positioner.cls.php on line 37
Ergebnis:
CMSimple_XH 1.7 Kompatibilität: Ja (mit CMSimple_XH 1.7.0 und PHP 5.6 erfolgreich getestet.)
PHP 7.0: ?? (nicht getestet)
PHP 7.1: Nein (siehe xampp-Fehlermeldungen)

Hartmut
Posts: 463
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby Hartmut » Sun Nov 19, 2017 8:11 pm

Test Plugin jm_iframe Version: 1.0

Getestet lokal unter
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.1
Template fhs-simple

  • Nach der Installation im Plugin Verzeichnis wird im Debus-Modus gemeldet:
    XH-DEPRECATED: Function initvar() is deprecated
    C:\xampp\htdocs\plugins\jm_iframe\admin.php:15
  • Plugin jm_iframe im Admin-Menü sichtbar?
    Im Plugin-Menu sichtbar, wird aber beim anklicken nicht angezeigt.
Ergebnis:
CMSimple_XH 1.7 Kompatibilität: Nein (XH-DEPRECATED: Function initvar() is deprecated ...)
PHP 7.0: ?? (Keine xampp-Fehlermeldungen, nur eingeschränkt verwertbar wegen XH-DEPRECATED)
PHP 7.1: ?? (Keine xampp-Fehlermeldungen, nur eingeschränkt verwertbar wegen XH-DEPRECATED)

cmb
Posts: 12036
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby cmb » Sun Nov 19, 2017 11:15 pm

Hartmut wrote:Ich habe für miniblog den XH 1.7 Kompatibilitätsstatus auf "Ja*" gesetzt und auf den Workaround verlinkt, der dann in die nächste Version mit einfließen könnte.

Ich hatte gerade auf Github ein Repo für Miniblog angelegt, aber dann festgestellt, dass 0.5.1 wohl keinerlei Lizenzangaben enthält, sondern nur an ein paar Stellen (c) 2016 svasti <http://svasti.de> – ich habe das Repo daher wieder gelöscht, da auf kostenlosen Github-Accounts nur Open-Source-Software gehostet werden darf.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

cmb
Posts: 12036
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby cmb » Sun Nov 19, 2017 11:35 pm

lck wrote:Dlcounter_XH Version 1.0beta1
[…]
Läuft ohne Probleme, auch die Versionsinfo-Anzeige erscheint nach Anpassung wie hier beschrieben: "Version is not properly reported".

Scheint mir trotzdem ein interessanter Kandidat für Pfw_XH. :)
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Hartmut
Posts: 463
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby Hartmut » Mon Nov 20, 2017 8:10 pm

cmb wrote:
Hartmut wrote:Ich habe für miniblog den XH 1.7 Kompatibilitätsstatus auf "Ja*" gesetzt und auf den Workaround verlinkt, der dann in die nächste Version mit einfließen könnte.

Ich hatte gerade auf Github ein Repo für Miniblog angelegt, aber dann festgestellt, dass 0.5.1 wohl keinerlei Lizenzangaben enthält, sondern nur an ein paar Stellen (c) 2016 svasti <http://svasti.de> – ich habe das Repo daher wieder gelöscht, da auf kostenlosen Github-Accounts nur Open-Source-Software gehostet werden darf.

Deine Feststellung muss ich bestätigen, denn auch in den Miniblog Versionen 4.0(beta) bzw. 0.50 ist ein Copyright Hinweis von Svasti vermerkt. Dies ist mir auch bei Legendbox und Downloadcontrol aufgefallen. Einen anders lautenden Lizenz Vermerk konnte ich weder im Coding bzw. auf seiner Website finden.

Wenn ich mich richtig erinnere, fehlt es Frank (svasti) an Zeit um seine Plugins zu betreuen und sie wurden bei Github zur weiteren Betreuung durch Dritte eingestellt. Wenn dies so noch aktuell ist und die Rahmenbedingungen von Github nicht mit Franks Copyright vereinbar sind, wird sich bestimmt eine alternative Lösung finden (bspw. Lizenzänderung, andere adäquate Umgebung / Speicherort, ...)


Return to “Deutsch”

Who is online

Users browsing this forum: No registered users and 1 guest